Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Signals | Public Member Functions | List of all members
ToolbarInterface Class Reference

Add a toolbox to OpenFlipper. More...

`#include <OpenFlipper/BasePlugin/ToolbarInterface.hh>`

Inheritance diagram for ToolbarInterface:

## Signals
virtual void | addToolbar (QToolBar *_toolbar)
| Adds a Toolbar to the main widget. More...

## Public Member Functions
virtual | ~ToolbarInterface ()
| Destructor.
virtual void | removeToolbar (QToolBar *_toolbar)
| Remove a Toolbar from the main widget. More...
virtual void | getToolBar (QString _name, QToolBar *&_toolbar)
| Get a pointer to a Toolbar of the given name or 0 if it does not exist. More...

## Detailed Description

Add a toolbox to OpenFlipper.

Detailed description
This Interface should be used by plugins which will provide a toolbar. Each Plugin can create own toolbars.

Definition at line 79 of file ToolbarInterface.hh.

## Member Function Documentation

virtual void ToolbarInterface::addToolbar | ( | QToolBar * | _toolbar | ) |
| inline virtual signal

Adds a Toolbar to the main widget.

To create your own Toolbar, emit this signal with a pointer to your Toolbar.

Parameters

  _toolbar | Your Toolbar

Definition at line 95 of file ToolbarInterface.hh.

virtual void ToolbarInterface::getToolBar | ( | QString | _name,
|  | QToolBar *& | _toolbar
| ) |  |
| inline virtual

Get a pointer to a Toolbar of the given name or 0 if it does not exist.

Parameters

  _name | Name of the Toolbar
  _toolbar | requested Toolbar or 0

Definition at line 110 of file ToolbarInterface.hh.

virtual void ToolbarInterface::removeToolbar | ( | QToolBar * | _toolbar | ) |
| inline virtual

Remove a Toolbar from the main widget.

Parameters

  _toolbar | Toolbar to be removed

Definition at line 102 of file ToolbarInterface.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/BasePlugin/ToolbarInterface.hh